<?php
defined('GCMS') or die('ОШИБКА!');
$online = $db -> dbcount('COUNT(`session`)','online');
$us = $db -> dbcount('COUNT(`login`)','online',"`login` != ''");
$msg .= '<div class="new">Статистика:</div>';
$msg.='<div class="fon">';
$users = $db -> dbcount('COUNT(*)','users');
if ($aut) {$msg .='<div class="main">'. $diz -> img('help.png').' <a href="./help/">Помощь/Инфо</a></br>';
$msg .= ''.$diz -> img('reit.png').' <a href="reit.php">Рейтинги</a></br>';}
$resulr = $db -> query("SELECT * FROM `users`");
while($ar = $resulr -> fetch_assoc()){
if (strftime("%d.%m.%Y",$ar['time']) == date("d.m.Y"))
$cr++;
}
if($cr>0){
$creg= '+'.$cr.'';}
$ulr = $db -> query("SELECT * FROM `users`");
while($a = $ulr -> fetch_assoc()){
if (strftime("%d.%m.%Y",$a['lasttime']) == date("d.m.Y"))
$css++;
}
$count=$css+0;
$msg .= $diz -> img('fo.png').' <a href="users.php">Регистраций:</a> '.$users.'<span style="color:red">'.$creg.'</span></br>
'.$diz -> img('only.png').' <a href="online.php">Онлайн:</a> '.$online.'('.$us.'/'.($online - $us).')</br>';
if($aut==true){
$msg .= ''.$diz -> img('people.png').' <a href="people.php">Посетителей:</a> '.$count.'';}
$msg.='</div>';
$rekl2 = $db -> query("SELECT `url`,`title`,`time` FROM `reklama` WHERE `poz`='1' and `type`<>'ban' and `time` > '".time()."'");
if ($rekl2 -> num_rows > 0) {
$msg .= '</div><div class="new">Реклама:</div><div class="fon">';
while ($rek2 = $rekl2 -> fetch_assoc()) {
$msg .= ''.$diz -> img('reklama.png').' <a href="http://'.$rek2['url'].'">'.$rek2['title'].'</a><br/>';
}
$msg .= '</div>';
}
$msg.='</div>';
?>